%define		status		beta
%define		pearname	HTML_QuickForm_Livesearch
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - element for HTML_QuickForm to enable a suggest search
Summary(pl.UTF-8):	%{pearname} - element HTML_QuickForm pozwalający na dołączenie sugestii do wyszukiwania
Name:		php-pear-%{pearname}
Version:	0.4.1
Release:	1
License:	PHP License 3.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	985fa1324b7b8b60a2db6d45b1e5d9d3
URL:		http://pear.php.net/package/HTML_QuickForm_Livesearch/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear
Requires:	php-pear-HTML_AJAX > 0.4.1
Requires:	php-pear-HTML_QuickForm > 3.2.4
Requires:	php-pear-PEAR-core
Obsoletes:	php-pear-HTML_QuickForm_Livesearch-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package adds an element to the PEAR::HTML_QuickForm package to
dynamically create an HTML input text element that at every keypressed
javascript event, returns a list of options in a dynamic dropdown
select box(live dropdown select).

This element use AJAX (Communication from JavaScript to your browser
without reloading the page).

This type of livesearch is useful when you have a form with a dropdown
list with a large number of row.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Pakiet ten dodaje do PEAR::HTML_QuickForm element pozwalający na
dynamicznie tworzenie pola input formularza HTML, który na każde
zdarzenie wciśnięcia klawisza zwraca listę opcji w dynamicznej liście
wyboru (live dropdown select).

Element ten korzysta z technologii AJAX (komunikacja z JavaScript bez
potrzeby przeładowania strony).

Ten tym 'żywego' wyszukiwania jest przydatny w przypadku formularza z
listą wyboru z dużą liczbą pozycji.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv .%{php_pear_dir}/data/HTML_QuickForm_Livesearch/README .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log README
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/HTML/QuickForm/livesearch_select.php
%dir %{php_pear_dir}/data/HTML_QuickForm_Livesearch
%{php_pear_dir}/data/HTML_QuickForm_Livesearch/live.js
%changelog
* Tue Aug 28 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-HTML_QuickForm_Livesearch.git;a=log;h=master

* Tue Aug 28 2012 Elan Ruusamäe <glen@delfi.ee> 74a684b
- up to 0.4.1

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 2849e39
- release 5

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 202e6ff
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> df2d99b
- updated deps with pearize.sh
- release 4

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> aa33100
- rel 3

* Mon Nov 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3c28974
- req just PEAR-core; rel 2

* Sat Sep 01 2007 Adam Gołębiowski <adamg@pld-linux.org> ec14bad
- updated to 0.4.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2225d67
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6e400eb
- converted to UTF-8

* Sat Dec 30 2006 Adam Gołębiowski <adamg@pld-linux.org> 708ac18
- updated to 0.3.2

* Sat Sep 02 2006 Adam Gołębiowski <adamg@pld-linux.org> cefd0b0
- updated to 0.3.1

* Mon Jun 26 2006 Adam Gołębiowski <adamg@pld-linux.org> 6a039c6
- updated to 0.3.0

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> cc423c5
- BR rpm-build macros >= 1.300 for %pear_ macros

* Thu Apr 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 3147ddf
- missing dirs

* Mon Apr 24 2006 Adam Gołębiowski <adamg@pld-linux.org> b58d3a6
- new

